Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003646TestLinkTest Specificationpublic2010-08-02 07:392017-03-04 11:43
Reportergaochinf 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9.16 (2016 Q4) 
Summary0003646: Import of Test Suite allows duplicate test suite name
DescriptionI originally found this in 1.8.5 but have reproduced it under 1.9 Beta 5.

If you export a test suite, say 'foo' to an XML file and then import 'foo.xml' into a new test project, you get suite 'foo' with its testcases. If you import 'foo.xml' again, you get a second 'foo' test suite in your specification.

But if you edit the test suite--you'll get an error that the name 'foo' already exists--which is consistent with the error you get when you either creating a new test suite 'foo' at the same level or try to rename an existing test suite to 'foo' at the same level.


My request is that when importing a test suite, the name of the test suite is checked against existing test suite, just like the 'new test suite' or 'edit' behave.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files? file icon tl-3646.tiff [^] (208,652 bytes) 2010-08-02 18:12

- Relationships
related to 0001863closedfman Import test cases - option to force check for duplicate/existing Test Case Titles on different test suites 
child of 0007083new Mantis Issues proposed to be closed 

-  Notes
(0010774)
gaochinf (reporter)
2010-08-02 18:11

example of duplicated 'primus' and 'foo' suites at top level.

Also showing that can duplicate suite names within a suite by importing test suite.
(0026056)
Mr.Bricodage (updater)
2017-03-02 20:34

Just tested on 1.9.16 : already created testsuites are used during import : no more duplicate names.

Should be closed.

- Issue History
Date Modified Username Field Change
2010-08-02 07:39 gaochinf New Issue
2010-08-02 08:00 amitkhullar Relationship added related to 0001863
2010-08-02 18:11 gaochinf Note Added: 0010774
2010-08-02 18:12 gaochinf File Added: tl-3646.tiff
2017-03-02 20:34 Mr.Bricodage Note Added: 0026056
2017-03-02 21:27 Mr.Bricodage Relationship added child of 0007083
2017-03-04 11:43 fman QA Team - Task Workflow Status => TBD
2017-03-04 11:43 fman Status new => closed
2017-03-04 11:43 fman Assigned To => fman
2017-03-04 11:43 fman Resolution open => fixed
2017-03-04 11:43 fman Fixed in Version => 1.9.16 (2016 Q4)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker